summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-02-11 08:26:12 +0100
committerMichał Górny <mgorny@gentoo.org>2020-02-11 08:26:12 +0100
commiteebb83b671c3bdf037a373c061f2aca93ae4c013 (patch)
tree88abbd1afc85b05fb4d256a4e3b514cc1798bfc8 /dev-python/PyGithub/PyGithub-1.46.ebuild
parentdev-python/sure: Enable py3.8 (diff)
downloadgentoo-eebb83b671c3bdf037a373c061f2aca93ae4c013.tar.gz
gentoo-eebb83b671c3bdf037a373c061f2aca93ae4c013.tar.bz2
gentoo-eebb83b671c3bdf037a373c061f2aca93ae4c013.zip
dev-python/PyGithub: Bump to 1.46
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/PyGithub/PyGithub-1.46.ebuild')
-rw-r--r--dev-python/PyGithub/PyGithub-1.46.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/PyGithub/PyGithub-1.46.ebuild b/dev-python/PyGithub/PyGithub-1.46.ebuild
new file mode 100644
index 000000000000..884e61e5f2d2
--- /dev/null
+++ b/dev-python/PyGithub/PyGithub-1.46.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to access the Github API v3"
+HOMEPAGE="https://github.com/PyGithub/PyGithub/"
+# Use github since pypi is missing test data
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/deprecated[${PYTHON_USEDEP}]
+ dev-python/pyjwt[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/httpretty-0.9.6[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ "${EPYTHON}" -m unittest -v tests.AllTests || die "Tests fail with ${EPYTHON}"
+}